Home of the Squeezebox™ & Transporter® network music players.
Results 1 to 5 of 5
  1. #1

    Is it possible sending music to my picoreplayer like I do to my JBL Bluetooth speaker

    I play my music on Spotify on my MacBook and want it to play on my raspberry pi that has a hifiberry amp that is connected to my KEF Speakers.

    I know there is a plugin for Spotify for LMS but that is not what I want.
    I want to control music from Spotify Application on my MacBook like I can when sending music to my JBL Bluetooth speaker.

    Thanks

  2. #2
    Senior Member
    Join Date
    Jan 2011
    Location
    Staffordshire. UK
    Posts
    2,919
    You don't say where your lms is installed, on the macbook or the raspberrypi?

    LMS has a plugin called "ShairTunes2", this will allow any Squeezelite based player to be recognised by Spotify (as an Airplay device) on the Macbook


    There are also a few builds available (search the web) which will convert your raspberrry pi (If using a Raspbian OS) into a Spotify-Connect devicei if you change from pCP.

    This is an easy one to install


    https://github.com/dtcooper/raspotify


    ronnie
    Last edited by Man in a van; 2019-11-09 at 04:51.

  3. #3
    Senior Member
    Join Date
    Jan 2010
    Location
    Hertfordshire
    Posts
    3,206
    Quote Originally Posted by CosyCat View Post
    I play my music on Spotify on my MacBook and want it to play on my raspberry pi that has a hifiberry amp that is connected to my KEF Speakers.

    I know there is a plugin for Spotify for LMS but that is not what I want.
    I want to control music from Spotify Application on my MacBook like I can when sending music to my JBL Bluetooth speaker.

    Thanks
    Is there a reason why you don't want to use the LMS plugin?

    Sent from my SM-G900F using Tapatalk

  4. #4
    Quote Originally Posted by Man in a van View Post
    You don't say where your lms is installed, on the macbook or the raspberrypi?

    LMS has a plugin called "ShairTunes2", this will allow any Squeezelite based player to be recognised by Spotify (as an Airplay device) on the Macbook


    There are also a few builds available (search the web) which will convert your raspberrry pi (If using a Raspbian OS) into a Spotify-Connect devicei if you change from pCP.

    This is an easy one to install


    https://github.com/dtcooper/raspotify


    ronnie

    I have LMS on MacBook and raspberry pi/picoreplayer

    Tried install shairtunes with

    OSX:

    > sudo /usr/bin/perl -MCPAN -e'install Crypt::OpenSSL::RSA'
    > sudo /usr/bin/perl -MCPAN -e'install IO::Socket::INET6'
    > sudo /usr/bin/perl -MCPAN -e'install Net::SDP'

    first commands gives me this "error" in the end.
    I also did the other two and the plugin showed up but plugin failed to load in plugin tab in LMS on my MacBook



    Last login: Sat Nov 9 13:35:37 on ttys000

    The default interactive shell is now zsh.
    To update your account to use zsh, please run `chsh -s /bin/zsh`.
    For more details, please visit https://support.apple.com/kb/HT208050.
    larsmac:~ lars$ sudo /usr/bin/perl -MCPAN -e'install Crypt::OpenSSL::RSA'
    Password:
    Reading '/Users/lars/.cpan/Metadata'
    Database was generated on Sat, 09 Nov 2019 04:17:03 GMT
    Running install for module 'Crypt::OpenSSL::RSA'
    Running make for T/TO/TODDR/Crypt-OpenSSL-RSA-0.31.tar.gz
    Checksum for /Users/lars/.cpan/sources/authors/id/T/TO/TODDR/Crypt-OpenSSL-RSA-0.31.tar.gz ok
    ---- Unsatisfied dependencies detected during ----
    ---- TODDR/Crypt-OpenSSL-RSA-0.31.tar.gz ----
    Crypt::OpenSSL::Guess [build_requires]
    Running make test
    Make had some problems, won't test
    Delayed until after prerequisites
    Running make install
    Make had some problems, won't install
    Delayed until after prerequisites
    Running install for module 'Crypt::OpenSSL::Guess'
    Running make for A/AK/AKIYM/Crypt-OpenSSL-Guess-0.11.tar.gz
    Checksum for /Users/lars/.cpan/sources/authors/id/A/AK/AKIYM/Crypt-OpenSSL-Guess-0.11.tar.gz ok

    CPAN.pm: Building A/AK/AKIYM/Crypt-OpenSSL-Guess-0.11.tar.gz

    Checking if your kit is complete...
    Looks good
    Warning: prerequisite perl 5.008001 not found.
    Writing Makefile for Crypt::OpenSSL::Guess
    Writing MYMETA.yml and MYMETA.json
    xcrun: error: invalid active developer path (/Library/Developer/CommandLineTools), missing xcrun at: /Library/Developer/CommandLineTools/usr/bin/xcrun
    AKIYM/Crypt-OpenSSL-Guess-0.11.tar.gz
    /usr/bin/make -- NOT OK
    'YAML' not installed, will not store persistent state
    Running make test
    Can't test without successful make
    Running make install
    Make had returned bad status, install seems impossible
    Running make for T/TO/TODDR/Crypt-OpenSSL-RSA-0.31.tar.gz
    Warning: Prerequisite 'Crypt::OpenSSL::Guess => 0.11' for 'TODDR/Crypt-OpenSSL-RSA-0.31.tar.gz' failed when processing 'AKIYM/Crypt-OpenSSL-Guess-0.11.tar.gz' with 'make => NO'. Continuing, but chances to succeed are limited.

    CPAN.pm: Building T/TO/TODDR/Crypt-OpenSSL-RSA-0.31.tar.gz

    Can't locate Crypt/OpenSSL/Guess.pm in @INC (you may need to install the Crypt::OpenSSL::Guess module) (@INC contains: /Library/Perl/5.18/darwin-thread-multi-2level /Library/Perl/5.18 /Network/Library/Perl/5.18/darwin-thread-multi-2level /Network/Library/Perl/5.18 /Library/Perl/Updates/5.18.4 /System/Library/Perl/5.18/darwin-thread-multi-2level /System/Library/Perl/5.18 /System/Library/Perl/Extras/5.18/darwin-thread-multi-2level /System/Library/Perl/Extras/5.18 .) at Makefile.PL line 6.
    BEGIN failed--compilation aborted at Makefile.PL line 6.
    Warning: No success on command[/usr/bin/perl Makefile.PL]
    TODDR/Crypt-OpenSSL-RSA-0.31.tar.gz
    /usr/bin/perl Makefile.PL -- NOT OK
    Running make test
    Make had some problems, won't test
    Running make install
    Make had some problems, won't install
    Could not read metadata file. Falling back to other methods to determine prerequisites
    larsmac:~ lars$




    Thanks

  5. #5
    Quote Originally Posted by slartibartfast View Post
    Is there a reason why you don't want to use the LMS plugin?

    Sent from my SM-G900F using Tapatalk
    I like spotifys UI better and plugin dont works with free/hacked account

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •